import java.io.File;

import org.iso_relax.verifier.Schema;
import org.iso_relax.verifier.Verifier;
import org.iso_relax.verifier.VerifierFactory;


/**
 * 
 * @author
 *      Kohsuke Kawaguchi (kk@kohsuke.org)
 */
public class Driver {

    public static void main(String[] args) throws Exception {
        VerifierFactory factory = VerifierFactory.newInstance("http://www.w3.org/2001/XMLSchema");
        Schema schema = factory.compileSchema(new File(args[0]));
        
        for( int i=1; i<args.length; i++ ) {
            Verifier verifier = schema.newVerifier();
            boolean b = verifier.verify(new File(args[i]));
            System.out.println(args[i]+" valid? "+b);
        }
    }
}
